/*
	Copyright (C) 2020-2021 Reiko Asakura. All Rights Reserved.

	Moonshine
*/

#ifndef CONFIG_H_
#define CONFIG_H_

#include <cdefs.h>
#include <scetypes.h>

#define MOONSHINE_CONFIG_BLOCK_NONE			0
#define MOONSHINE_CONFIG_BLOCK_HOMEBREW		1
#define MOONSHINE_CONFIG_BLOCK_ALL			2

SCE_CDECL_BEGIN

typedef struct MoonshineConfig {
	SceDateTime time;
	int block_presence;
	int block_status;
} MoonshineConfig;

int config_init(MoonshineConfig *config);

int config_read(MoonshineConfig *config);

SCE_CDECL_END

#endif /* CONFIG_H_ */
